Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024799
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2013-09-19 16:582013-10-16 19:46
ReporteradrianromeroView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP29
StatusclosedFix in branchFixed in SCM revisionf3b3ef52284b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024799: Extend SimpleCallout to provide utility methods with actions that can be executed in a callout

DescriptionCallouts can execute actions to show a message, execute javascript code, etc. SimpleCallout class can be extended to make it easier to invoke this functionality.

Steps To ReproduceFor example to show a message using Simple callout you have to execute the following code:

   addResult("MESSAGE", message);

It will be more clear and less error prone to expose a method that executes this:

   showMessage(message);
Proposed SolutionAttached a patch that implements several utility methods for SimpleCallout.
TagsNo tags attached.
Attached Filespatch file icon SimpleCalloutImprovement.patch [^] (3,026 bytes) 2013-09-19 16:58 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061634)
hgbot (developer)
2013-10-09 16:46

Repository: erp/devel/pi
Changeset: 2302c22810c1832366a7ec438b9d5da5a9955d24
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Wed Oct 09 16:45:41 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2302c22810c1832366a7ec438b9d5da5a9955d24 [^]

Fixes issue 0024799: Extend SimpleCallout to provide utility methods with actions that can be executed in a callout
This changeset adds several utility methods for messages and other actions in callouts

---
M src/org/openbravo/erpCommon/ad_callouts/SimpleCallout.java
---
(0061635)
AugustoMauch (developer)
2013-10-09 16:50

Code reviewed and verified in pi@2302c22810c1
(0061647)
hgbot (developer)
2013-10-10 10:59

Repository: erp/devel/pi
Changeset: f3b3ef52284b324f227ddad2358e1af68dbc4349
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Oct 10 10:59:20 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f3b3ef52284b324f227ddad2358e1af68dbc4349 [^]

Fixes issue 0024799: Extend SimpleCallout to provide utility methods with actions that can be executed in a callout
Removing unused commands and changing visibility of new utility methods to protected

---
M src/org/openbravo/erpCommon/ad_callouts/SimpleCallout.java
---
(0061674)
AugustoMauch (developer)
2013-10-15 10:24

Code reviewed and verified
(0061738)
hudsonbot (developer)
2013-10-16 19:46

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/51315988909a [^]

Maturity status: Test
(0061744)
hudsonbot (developer)
2013-10-16 19:46

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/51315988909a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-19 16:58 adrianromero New Issue
2013-09-19 16:58 adrianromero Assigned To => AugustoMauch
2013-09-19 16:58 adrianromero File Added: SimpleCalloutImprovement.patch
2013-09-19 16:58 adrianromero Modules => Core
2013-09-19 16:58 adrianromero Triggers an Emergency Pack => No
2013-09-19 17:13 roklenardic Issue Monitored: roklenardic
2013-10-09 16:46 hgbot Checkin
2013-10-09 16:46 hgbot Note Added: 0061634
2013-10-09 16:46 hgbot Status new => resolved
2013-10-09 16:46 hgbot Resolution open => fixed
2013-10-09 16:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2302c22810c1832366a7ec438b9d5da5a9955d24 [^]
2013-10-09 16:50 AugustoMauch Review Assigned To => AugustoMauch
2013-10-09 16:50 AugustoMauch Note Added: 0061635
2013-10-09 16:50 AugustoMauch Status resolved => closed
2013-10-09 16:50 AugustoMauch Fixed in Version => 3.0MP29
2013-10-10 10:59 hgbot Checkin
2013-10-10 10:59 hgbot Note Added: 0061647
2013-10-10 10:59 hgbot Status closed => resolved
2013-10-10 10:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/2302c22810c1832366a7ec438b9d5da5a9955d24 [^] => http://code.openbravo.com/erp/devel/pi/rev/f3b3ef52284b324f227ddad2358e1af68dbc4349 [^]
2013-10-15 10:24 AugustoMauch Note Added: 0061674
2013-10-15 10:24 AugustoMauch Status resolved => closed
2013-10-16 19:46 hudsonbot Checkin
2013-10-16 19:46 hudsonbot Note Added: 0061738
2013-10-16 19:46 hudsonbot Checkin
2013-10-16 19:46 hudsonbot Note Added: 0061744


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker